<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-button (click)="this.commonMethodsTs.goBack()" slot="start">
			<ion-icon slot="icon-only" name="arrow-round-back">
			</ion-icon>
		</ion-button>
		<ion-title (click)="this.commonMethodsTs.toPage_AdminUserBlackList()">
			<ion-icon name="contact"></ion-icon>
			User BlackList
		</ion-title>
		<ion-button slot="end" (click)="saveData()">
			<ion-icon slot="icon-only" name="save"></ion-icon>
		</ion-button>
	</ion-toolbar>
</ion-header>

<ion-content *ngIf="data" color="light" fullscreen>
	<ion-list class="list-info-user">
		<ion-item lines="full" [disabled]="(data.Id > 0)">
			<ion-list  class="ion-no-padding" lines="none">
				<ion-radio-group  #radioDanhSach (ionSelect)="changeTypeDanhSach()" [value]="1" class="custom-radio" >
					<ion-list-header>
						<ion-label class="text-bold">Danh sách: </ion-label>
					</ion-list-header>
					<ion-item *ngFor="let item of lThanhVienBlackList">
						<ion-label>{{item.label}}</ion-label>
						<ion-radio slot="start" [value]="item.value"></ion-radio>
					</ion-item>
				</ion-radio-group>
			</ion-list>
		</ion-item>
		<ion-item lines="none">
			<ion-label class="text-bold">Thành viên (<span class="custom-span">*</span>):</ion-label>
		</ion-item>
		<ion-item>
			<custom-ion-select [disabled]="(data.Id > 0)" *ngIf="radioDanhSach.value == 1" (onChange)="loadListTinDangViPham(data.IdThanhVien, data.Id)" #combox1
				placeholder="Chọn thành viên" type="ThanhVien" (onSelected)="data.IdThanhVien"
				[(ngModel)]="data.IdThanhVien">
			</custom-ion-select>
			<ion-icon *ngIf="showClear() && radioDanhSach.value == 2" class="icon-clear-select" name="close-circle"
				(click)="removeIdThanhVienSelected()"></ion-icon>
			<ion-select [disabled]="(data.Id > 0)" *ngIf="radioDanhSach.value == 2" clearInput placeholder="Chọn thành viên" class="w-100p"
				(ionChange)="loadListTinDangViPham(data.IdThanhVien, data.Id)" [(ngModel)]="data.IdThanhVien" okText="Chọn"
				cancelText="Hủy">
				<ion-select-option *ngFor="let item of lBlackList" [value]="item.Id">{{ item.HoTen }}
				</ion-select-option>
			</ion-select>
		</ion-item>
		<ion-item lines="full">
			<ion-list class="ion-no-padding" lines="none">
				<ion-label class="text-bold">Tin đăng vi phạm: </ion-label>
				<ion-label class="text-italic mt-8 whitespace-wrap" *ngFor="let item of lTinDangViPham">
					{{item.DangTin_Ext.TieuDe}}
					<span class="small-span" (click)="routeToLinkViPham(item.Id)">Xem vi phạm</span>
					<span> / </span>
					<span class="small-span" (click)="routeToLinkDangTin(item.DangTin_Ext.Id)">Xem tin</span>
				</ion-label>
			</ion-list>
		</ion-item>
		<ion-item lines="none">
			<ion-label class="text-bold">Tài khoản bị Block {{this.data.ThoiGianHieuLuc|workAgo}}:</ion-label>
		</ion-item>
		<ion-item lines="none">
			<ion-label class="text-bold">Từ ngày (<span class="custom-span">*</span>):</ion-label>
			<ion-datetime cancelText="Hủy" doneText="Chọn" (ionChange)="checkTimeBlock()" [(ngModel)]="data.TuNgay"
				display-format="DD-MM-YYYY" min="{{data.TuNgay}}" >
			</ion-datetime>
		</ion-item>
		<ion-item>
			<ion-label class="text-bold">Đến ngày (<span class="custom-span">*</span>):</ion-label>
			<ion-datetime cancelText="Hủy" doneText="Chọn" (ionChange)="checkTimeBlock()" [(ngModel)]="data.DenNgay"
				display-format="DD-MM-YYYY" min="{{data.DenNgay}}" >
			</ion-datetime>
		</ion-item>
		<ion-item lines="none">
			<ion-label class="text-bold">Hình ảnh vi phạm: </ion-label>
		</ion-item>
		<ion-item>
			<dailyxe-ion-list-image [(ngModel)]="data.ListHinhAnh">
			</dailyxe-ion-list-image>
		</ion-item>
		<ion-item class="d-flex ion-align-items-start">
			<ion-label class="label-for-textarea text-bold">Ghi chú (<span class="custom-span">*</span>):</ion-label>
			<ion-textarea rows="3" placeholder="Ghi chú" [(ngModel)]="data.GhiChu">
			</ion-textarea>
		</ion-item>
		<ion-item lines="full">
			<ion-list class="ion-no-padding" lines="none">
				<ion-radio-group class="custom-radio" [(ngModel)]="data.TrangThai">
					<ion-item class="ion-no-padding">
						<ion-label class="text-bold">Trạng thái: </ion-label>
					</ion-item>
					<ion-item *ngFor="let item of lTrangThaiUserBlackList">
						<ion-label>{{item.label}}</ion-label>
						<ion-radio slot="start" [value]="item.value"></ion-radio>
					</ion-item>
				</ion-radio-group>
			</ion-list>
		</ion-item>
		<ion-item lines="full">
			<ion-list class="ion-no-padding" lines="none">
				<ion-label class="text-bold">BlackList khác: </ion-label>
				<ion-label class="text-italic mt-8 whitespace-wrap" *ngFor="let item of dataViPhamKhac">
					{{item.GhiChu}}
					<span>( {{item.TuNgay|date:"dd-MM-yyyy"}}</span>
					<span> đến </span>
					<span>{{item.DenNgay|date:"dd-MM-yyyy"}} )</span>
					<span class="small-span" (click)="routeToBlackList(item.Id)">Chi tiết</span>
				</ion-label>
			</ion-list>
		</ion-item>
	</ion-list>
	<ion-list *ngIf="+data.Id> 0" lines="none"
		class="list-info-user ion-margin-top ion-padding-vertical
		ion-padding-horizontal">
		<ion-button (click)="xoaRecord()" class="w-100p mx-a" color="primary">Xoá</ion-button>
	</ion-list>
</ion-content>